package com.desfate.chart.data;

import android.os.Parcel;
import android.os.Parcelable;

import java.util.Date;

public class ChartSelectPlans implements Parcelable {

    private Date CloseTime;
    private Date CloseTime2;
    private Date CloseTime3;
    private Date EntryTime;
    private String ExchangeCode;
    private String ExchangeDate;
    private Date OpenTime;
    private Date OpenTime2;
    private Date OpenTime3;
    private Date SettlementTime;
    private int Sort;
    private int TikKind;

    public ChartSelectPlans() {
        super();
    }


    public ChartSelectPlans(Date closeTime, Date closeTime2, Date closeTime3,
                            Date entryTime, String exchangeCode, String exchangeDate,
                            Date openTime, Date openTime2, Date openTime3, Date settlementTime,
                            int sort, int tikKind) {
        super();
        CloseTime = closeTime;
        CloseTime2 = closeTime2;
        CloseTime3 = closeTime3;
        EntryTime = entryTime;
        ExchangeCode = exchangeCode;
        ExchangeDate = exchangeDate;
        OpenTime = openTime;
        OpenTime2 = openTime2;
        OpenTime3 = openTime3;
        SettlementTime = settlementTime;
        Sort = sort;
        TikKind = tikKind;
    }


    protected ChartSelectPlans(Parcel in) {
        ExchangeCode = in.readString();
        ExchangeDate = in.readString();
        Sort = in.readInt();
        TikKind = in.readInt();
    }

    public static final Creator<ChartSelectPlans> CREATOR = new Creator<ChartSelectPlans>() {
        @Override
        public ChartSelectPlans createFromParcel(Parcel in) {
            return new ChartSelectPlans(in);
        }

        @Override
        public ChartSelectPlans[] newArray(int size) {
            return new ChartSelectPlans[size];
        }
    };

    public Date getCloseTime() {
        return CloseTime;
    }


    public void setCloseTime(Date closeTime) {
        CloseTime = closeTime;
    }


    public Date getCloseTime2() {
        return CloseTime2;
    }


    public void setCloseTime2(Date closeTime2) {
        CloseTime2 = closeTime2;
    }


    public Date getCloseTime3() {
        return CloseTime3;
    }


    public void setCloseTime3(Date closeTime3) {
        CloseTime3 = closeTime3;
    }


    public Date getEntryTime() {
        return EntryTime;
    }


    public void setEntryTime(Date entryTime) {
        EntryTime = entryTime;
    }


    public String getExchangeCode() {
        return ExchangeCode;
    }


    public void setExchangeCode(String exchangeCode) {
        ExchangeCode = exchangeCode;
    }


    public String getExchangeDate() {
        return ExchangeDate;
    }


    public void setExchangeDate(String exchangeDate) {
        ExchangeDate = exchangeDate;
    }


    public Date getOpenTime() {
        return OpenTime;
    }


    public void setOpenTime(Date openTime) {
        OpenTime = openTime;
    }


    public Date getOpenTime2() {
        return OpenTime2;
    }


    public void setOpenTime2(Date openTime2) {
        OpenTime2 = openTime2;
    }


    public Date getOpenTime3() {
        return OpenTime3;
    }


    public void setOpenTime3(Date openTime3) {
        OpenTime3 = openTime3;
    }


    public Date getSettlementTime() {
        return SettlementTime;
    }


    public void setSettlementTime(Date settlementTime) {
        SettlementTime = settlementTime;
    }


    public int getSort() {
        return Sort;
    }


    public void setSort(int sort) {
        Sort = sort;
    }


    public int getTikKind() {
        return TikKind;
    }


    public void setTikKind(int tikKind) {
        TikKind = tikKind;
    }


    @Override
    public int describeContents() {
        // TODO Auto-generated method stub
        return 0;
    }

    @Override
    public void writeToParcel(Parcel arg0, int arg1) {
        // TODO Auto-generated method stub

        arg0.writeString(ExchangeCode);
        arg0.writeString(ExchangeDate);
        arg0.writeInt(Sort);
        arg0.writeInt(TikKind);
    }

}
